Skip to content

Schedule Social Post

POST
/social/posts/{post_id}/schedule

Schedule a post. It PUBLISHES PUBLICLY at scheduled_at with no further step.

Authorizations

Parameters

Path Parameters

post_id
required

The post’s id.

string

The post’s id.

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

When to publish.

object
scheduled_at
required

ISO 8601. Include a timezone offset.

string format: date-time

Responses

200

Successful Response

object
data
required

One post.

object
account_ref
Any of:
string
autopilot_config_id
Any of:
string
autopilot_version
Any of:
integer
body
required
string
campaign_id
Any of:
string
created_at
Any of:
string
created_by
required
string
external_post_id
Any of:
string
external_post_url
Any of:
string
failure_reason
Any of:
string
generation_metadata
Any of:
object
key
additional properties
any
generation_sources
Any of:
Array<string>
id
required
string
idea_id
Any of:
string
media
Any of:
Array<object>
object
key
additional properties
any
post_type
required
string
provider
Any of:
string
published_at
Any of:
string
scheduled_at
Any of:
string
status
required
string
updated_at
Any of:
string
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string